// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import navBar from '@/components/navBar/index.vue'
Vue.component('navBar', navBar)

import popup from '@/components/popup/index.vue'
Vue.component('dpopup', popup)

import uView from '@/uni_modules/uview-ui'
Vue.use(uView)



import store from 'store/index.js'
Vue.prototype.$store = store

// 常见功能函数封装
Vue.prototype.$toast = (title, icon = "none", duration = 1500) => {
	uni.showToast({
		title,
		icon,
		duration
	})
}



// 引入请求封装 
require('./utils/request/index')(app)


Vue.config.productionTip = false


App.mpType = 'app'

const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import App from './App.vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif